Zum Hauptinhalt springen

Delete a Domain

DELETE/v2/domains/{domainId}
API-Version
v2
Request-Methode
DELETE
Operation-ID
domain-delete-domain

Request​

  • domainIdstringrequired

Responses​

Format
application/json
Beschreibung

OK

  • isAsyncboolean
  • transactionIdstring
Content-Type: application/json

{
"isAsync": true,
"transactionId": "string"
}
{
"properties": {
"isAsync": {
"type": "boolean"
},
"transactionId": {
"type": "string"
}
},
"type": "object"
}

Nutzungsbeispiele​

$ curl \
--fail \
--location \
-X DELETE \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/domains/string?transit=true&deleteIngresses=true
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.domain.deleteDomain({
"domainId": "string",
"queryParameters": {
"transit": true,
"deleteIngresses": true
}
});

assertStatus(response, 200);

use \Mittwald\ApiClient\Generated\V2\Clients\Domain\DeleteDomain\DeleteDomainRequest;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

$request = (new DeleteDomainRequest(
domainId: "string"
))
->withTransit(true)
->withDeleteIngresses(true);
$response = $client->domain()->deleteDomain($request);

var_dump($response->getBody();

Auf dieser Seite